import {Option} from "../../openaireLibrary/sharedComponents/input/input.component";

export class CriteriaUtils {
  public static readonly fields: Option[] = [
    {value: 'author', label: 'Author\'s name'},
    {value: 'title', label: 'Title'},
    {value: 'orcid', label: 'Author\'s ORCID'},
    {value: 'contributor', label: 'Contributor'},
    {value: 'description', label: 'Description'},
    {value: 'subject', label: 'Subject'},
    {value: 'fos', label: 'Field of Science'}
  ]
  
  public static readonly verbs: Option[] = [
    {value: 'contains', label: 'contains'},
    {value: 'equals', label: 'equals'},
    {value: 'not_contains', label: 'not contains'},
    {value: 'not_equals', label: 'not equals'}
  ]
}
